public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/aws-sdk-cpp/, dev-libs/aws-sdk-cpp/files/
@ 2020-09-15 11:49 Joonas Niilola
  0 siblings, 0 replies; 3+ messages in thread
From: Joonas Niilola @ 2020-09-15 11:49 UTC (permalink / raw
  To: gentoo-commits

commit:     110733e64174c6fd57836177d8f68673a5921d48
Author:     Sven Eden <sven.eden <AT> prydeworx <DOT> com>
AuthorDate: Mon Sep 14 13:45:18 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 11:49:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=110733e6

dev-libs/aws-sdk-cpp: Bump to 1.8.46 and py3 upgrade (#717578)

This ebuild does not only bump the version, but also fixes two issues and adds
several new modules as follows.

1. USE flag "polly" no longer pulls in media-sound/pulseaudio, as it is not
   needed for "polly", but for "text-to-speech". The new USE flag "pulseaudio"
   lets the user decide whether to depend on media-sound/pulseaudio or not.
   (bug 701752)
2. All python scripts are upgraded for python-3.7 to 3.9 compatibility
   (bug 735286)
3. The following modules have been added:
  * accessanalyzer, dataexchange, identitystore, sso, sso-oidc
    Added to USE flag "access-management"
  * appconfig
    New USE flag "appconfig"
  * appflow, braket, migrationhub-config, schemas
    Added to USE flag "other"
  * codeartifact, codeguruprofiler, codeguru-reviewer, codestar-connections,
    codestar-notifications, honeycode
    Added to USE "cloud-dev"
  * compute-optimizer, synthetics
    Added to USE "cloudwatch"
  * ebs
    New USE flag "ebs"
  * elastic-inference
    New USE flag "elasticinference"
  * forecast, forecastquery
    New USE flag "forecast"
  * frauddetector
    New USE flag "frauddetector"
  * imagebuilder, savingsplans
    Added to USE flag "ec2"
  * iotsecuretunneling, iotsitewise
    Added to USE flag "iot"
  * ivs
    Added to USE flag "kinesis"
  * kendra
    New USE flag "kendra"
  * macie2
    Added to USE flag "macie"
  * marketplace-catalog
    Added to USE flag "marketplace"
  * networkmanager
    New USE flag "networkmanager"
  * outposts
    New USE flag "outposts"
  * qldb, qldb-session
    New USE flag "qldb"
  * sagemaker-a2i-runtime
    Added to USE flag "sagemaker"
  * sesv2
    Added to USE flag "email"
  * wafv2
    Added to USE flag "waf"
  * workmailmessageflow
    Added to USE flag "cloud-desktop"

Closes: https://bugs.gentoo.org/701752
Closes: https://bugs.gentoo.org/717578
Closes: https://bugs.gentoo.org/735286
Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Sven Eden <sven.eden <AT> prydeworx.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/aws-sdk-cpp/Manifest                      |   1 +
 dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46.ebuild     | 183 +++++++++++++++++++++
 ...cpp-upgrade_CI_ConstructReleaseDoc_py-3.9.patch |  10 ++
 ...dk-cpp-upgrade_CI_ExtractBuildArgs_py-3.9.patch |  22 +++
 ...ade_CI_handle_release_notification_py-3.9.patch |   9 +
 ...rade_CI_move_release_doc_to_models_py-3.9.patch |   9 +
 ...droid-build_build_and_test_android_py-3.9.patch |  28 ++++
 ...ry-release-pipeline_lambda_publish_py-3.9.patch |  14 ++
 ...rosslinks_generate_cross_link_data_py-3.9.patch |  19 +++
 ...cpp-upgrade_scripts_build_3rdparty_py-3.9.patch |  70 ++++++++
 ...-cpp-upgrade_scripts_build_example_py-3.9.patch |  18 ++
 ...p-upgrade_scripts_dummy_web_server_py-3.9.patch |  20 +++
 ...-upgrade_scripts_endpoints_checker_py-3.9.patch |  29 ++++
 ...pp-upgrade_scripts_gather_3rdparty_py-3.9.patch |  11 ++
 ...-cpp-upgrade_scripts_generate_sdks_py-3.9.patch |  25 +++
 ...-cpp-upgrade_scripts_renew_license_py-3.9.patch |  11 ++
 ...rade_scripts_run_integration_tests_py-3.9.patch |  17 ++
 dev-libs/aws-sdk-cpp/metadata.xml                  | 132 ++++++++++++---
 18 files changed, 601 insertions(+), 27 deletions(-)

diff --git a/dev-libs/aws-sdk-cpp/Manifest b/dev-libs/aws-sdk-cpp/Manifest
index 51e6cf3a82c..673b58f193e 100644
--- a/dev-libs/aws-sdk-cpp/Manifest
+++ b/dev-libs/aws-sdk-cpp/Manifest
@@ -1 +1,2 @@
 DIST aws-sdk-cpp-1.7.178.tar.gz 22589166 BLAKE2B 40364307fb676a89cf2b363d02dfa95e03c6e0b02e34c3d5376820dd7721f13108bf1f1713ff5f39dfc7d98f5cd368718601a397f55c4e26a37cd62d346cbf70 SHA512 b5c969d8b0b9ca5aa7b6af762bf79647ee407cae2686b90c4acefb6a113cf4e7a582e4e5aebd2e6289685e6ac373f9f994e57cd34bd12543b2b36142e00df478
+DIST aws-sdk-cpp-1.8.46.tar.gz 28989406 BLAKE2B 47a72d1e0578ecd28e376f3c6688a997faeeae41ba5e4ab5aeff59a2d8f592fc63746445728ab3236952cfc045dc683c816c77dfb8fbe3d98904e50013201ace SHA512 9fedc9de84721189f001a0a5fb2dd63987a366a37ec6354234b244da39929b420e6289bd319d0f056fa4274b7bc682d1aab2dddd5dc823abdf24b69536610ed4

diff --git a/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46.ebuild b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46.ebuild
new file mode 100644
index 00000000000..2ac7c4ce773
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit cmake python-single-r1
+
+DESCRIPTION="AWS SDK for C++"
+HOMEPAGE="https://aws.amazon.com/sdk-for-cpp/"
+SRC_URI="https://github.com/aws/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+MODULES=(
+	access-management apigateway appconfig backup batch budgets chime cloud-desktop cloud-dev cloud-media
+	cloud-mobile cloudformation cloudfront cloudhsm cloudsearch cloudwatch cognito config dlm ebs ec2 ecr ecs eks
+	elasticache elasticbeanstalk elasticinference elasticloadbalancing elasticmapreduce email es events forecast
+	frauddetector fsx globalaccelerator iot kendra kinesis kms lambda lex license-manager lightsail machinelearning
+	macie managedblockchain marketplace networkmanager opsworks organizations other outposts personalize polly qldb
+	queues rds rekognition resource-groups route53 s3 sagemaker secretsmanager securityhub serverlessrepo shield sns
+	sqs textract transcribe translate waf
+)
+
+IUSE="+http libressl pulseaudio +rtti +ssl static-libs test unity-build ${MODULES[*]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	http? ( net-misc/curl:= )
+	pulseaudio? ( media-sound/pulseaudio )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	dev-libs/aws-c-common
+	dev-libs/aws-checksums
+	dev-libs/aws-c-event-stream
+	sys-libs/zlib
+"
+RDEPEND="
+	${DEPEND}
+	${PYTHON_DEPS}
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-upgrade_android-build_build_and_test_android_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_binary-release-pipeline_lambda_publish_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_ConstructReleaseDoc_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_ExtractBuildArgs_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_handle_release_notification_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_move_release_doc_to_models_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_doc_crosslinks_generate_cross_link_data_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_build_3rdparty_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_build_example_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_dummy_web_server_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_endpoints_checker_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_gather_3rdparty_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_generate_sdks_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_renew_license_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_run_integration_tests_py-3.9.patch
+)
+
+src_configure() {
+	local mybuildtargets="core"
+
+	for module in ${MODULES[@]}; do
+		if use ${module}; then
+			if [ "${module}" = "access-management" ] ; then
+				mybuildtargets+=";${module};accessanalyzer;acm;acm-pca;dataexchange;iam"
+				mybuildtargets+=";identity-management;identitystore;ram;sso;sso-oidc;sts"
+			elif [ "${module}" = "apigateway" ] ; then
+				mybuildtargets+=";${module};apigatewaymanagementapi;apigatewayv2"
+			elif [ "${module}" = "budgets" ] ; then
+				mybuildtargets+=";${module};ce;cur"
+			elif [ "${module}" = "cloud-desktop" ] ; then
+				mybuildtargets+=";appstream;workdocs;worklink;workmail;workmailmessageflow;workspaces"
+			elif [ "${module}" = "cloud-dev" ] ; then
+				mybuildtargets+=";cloud9;codeartifact;codebuild;codecommit;codedeploy;codeguruprofiler"
+				mybuildtargets+=";codeguru-reviewer;codepipeline;codestar;codestar-connections"
+				mybuildtargets+=";codestar-notifications;honeycode;xray"
+				if ! use "queues"; then
+					mybuildtargets+=";queues"
+				fi
+			elif [ "${module}" = "cloud-media" ] ; then
+				mybuildtargets+=";elastictranscoder;mediaconnect;mediaconvert;medialive;mediapackage"
+				mybuildtargets+=";mediapackage-vod;mediastore;mediastore-data;mediatailor"
+			elif [ "${module}" = "cloud-mobile" ] ; then
+				mybuildtargets+=";amplify;appsync;devicefarm;mobile;mobileanalytics;pinpoint"
+				mybuildtargets+=";pinpoint-email;sms-voice"
+				if ! use "sns"; then
+					mybuildtargets+=";sns"
+				fi
+			elif [ "${module}" = "cloudhsm" ] ; then
+				mybuildtargets+=";${module};cloudhsmv2"
+			elif [ "${module}" = "cloudsearch" ] ; then
+				mybuildtargets+=";${module};cloudsearchdomain"
+			elif [ "${module}" = "cloudwatch" ] ; then
+				mybuildtargets+=";application-insights;appmesh;cloudtrail;compute-optimizer;guardduty"
+				mybuildtargets+=";health;inspector;logs;monitoring;synthetics"
+			elif [ "${module}" = "cognito" ] ; then
+				mybuildtargets+=";cognito-identity;cognito-idp;cognito-sync"
+			elif [ "${module}" = "dynamodb" ] ; then
+				mybuildtargets+=";${module};dax;dynamodbstreams"
+			elif [ "${module}" = "ec2" ] ; then
+				mybuildtargets+=";${module};autoscaling;autoscaling-plans;application-autoscaling"
+				mybuildtargets+=";ec2-instance-connect;elasticfilesystem;imagebuilder;savingsplans"
+			elif [ "${module}" = "elasticloadbalancing" ] ; then
+				mybuildtargets+=";${module};elasticloadbalancingv2"
+			elif [ "${module}" = "email" ] ; then
+				mybuildtargets+=";${module};sesv2"
+			elif [ "${module}" = "events" ] ; then
+				mybuildtargets+=";${module};eventbridge"
+			elif [ "${module}" = "forecast" ] ; then
+				mybuildtargets+=";${module};forecastquery"
+			elif [ "${module}" = "iot" ] ; then
+				mybuildtargets+=";${module};greengrass;iot1click-devices;iot1click-projects"
+				mybuildtargets+=";iotanalytics;iot-data;iotevents;iotevents-data;iot-jobs-data"
+				mybuildtargets+=";iotsecuretunneling;iotsitewise;iotthingsgraph"
+			elif [ "${module}" = "kinesis" ] ; then
+				mybuildtargets+=";${module};firehose;ivs;kinesisanalytics;kinesisanalyticsv2"
+				mybuildtargets+=";kinesisvideo;kinesis-video-archived-media;kinesis-video-media"
+				mybuildtargets+=";kinesis-video-signaling"
+			elif [ "${module}" = "lex" ] ; then
+				mybuildtargets+=";${module};lex-models"
+			elif [ "${module}" = "macie" ] ; then
+				mybuildtargets+=";${module};macie2"
+			elif [ "${module}" = "marketplace" ] ; then
+				mybuildtargets+=";marketplacecommerceanalytics;marketplace-catalog"
+				mybuildtargets+=";marketplace-entitlement;meteringmarketplace;pricing"
+			elif [ "${module}" = "opsworks" ] ; then
+				mybuildtargets+=";${module};opsworkscm"
+			elif [ "${module}" = "other" ] ; then
+				mybuildtargets+=";AWSMigrationHub;alexaforbusiness;appflow;braket;clouddirectory"
+				mybuildtargets+=";comprehend;comprehendmedical;connect;datapipeline;datasync"
+				mybuildtargets+=";directconnect;discovery;dms;docdb;ds;dynamodb;gamelift;glue"
+				mybuildtargets+=";groundstation;importexport;kafka;lakeformation"
+				mybuildtargets+=";migrationhub-config;mq;mturk-requester;neptune;quicksight;redshift"
+				mybuildtargets+=";robomaker;sdb;schemas;service-quotas;servicecatalog;servicediscovery"
+				mybuildtargets+=";signer;sms;snowball;ssm;states;storagegateway;support;swf"
+			elif [ "${module}" = "personalize" ] ; then
+				mybuildtargets+=";${module};personalize-events;personalize-runtime"
+			elif [ "${module}" = "polly" ] ; then
+				mybuildtargets+=";${module};text-to-speech"
+			elif [ "${module}" = "qldb" ] ; then
+				mybuildtargets+=";${module};qldb-session"
+			elif [ "${module}" = "rds" ] ; then
+				mybuildtargets+=";${module};pi;rds-data"
+			elif [ "${module}" = "resource-groups" ] ; then
+				mybuildtargets+=";${module};resourcegroupstaggingapi"
+			elif [ "${module}" = "route53" ] ; then
+				mybuildtargets+=";${module};route53domains;route53resolver"
+			elif [ "${module}" = "s3" ] ; then
+				mybuildtargets+=";${module};athena;awstransfer;glacier;s3-encryption;s3control;transfer"
+			elif [ "${module}" = "sagemaker" ] ; then
+				mybuildtargets+=";${module};sagemaker-a2i-runtime;sagemaker-runtime"
+			elif [ "${module}" = "transcribe" ] ; then
+				mybuildtargets+=";${module};transcribestreaming"
+			elif [ "${module}" = "waf" ] ; then
+				mybuildtargets+=";${module};fms;waf-regional;wafv2"
+			else
+				mybuildtargets+=";${module}"
+			fi
+		fi
+	done
+
+	local mycmakeargs=(
+		-DAUTORUN_UNIT_TESTS=$(usex test)
+		-DBUILD_DEPS=NO
+		-DBUILD_ONLY="${mybuildtargets}"
+		-DBUILD_SHARED_LIBS=$(usex !static-libs)
+		-DCPP_STANDARD=17
+		-DENABLE_RTTI=$(usex rtti)
+		-DENABLE_TESTING=$(usex test)
+		-DENABLE_UNITY_BUILD=$(usex unity-build)
+		-DNO_ENCRYPTION=$(usex !ssl)
+		-DNO_HTTP_CLIENT=$(usex !http)
+	)
+	cmake_src_configure
+}

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ConstructReleaseDoc_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ConstructReleaseDoc_py-3.9.patch
new file mode 100644
index 00000000000..658abfded78
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ConstructReleaseDoc_py-3.9.patch
@@ -0,0 +1,10 @@
+--- a/CI/ConstructReleaseDoc.py	(original)
++++ b/CI/ConstructReleaseDoc.py	(refactored)
+@@ -35,6 +35,6 @@
+     releases.append(release)
+     changeDoc["releases"] = releases
+ 
+-    print(json.dumps(changeDoc))
++    print((json.dumps(changeDoc)))
+ 
+ Main()

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ExtractBuildArgs_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ExtractBuildArgs_py-3.9.patch
new file mode 100644
index 00000000000..fb6856abff3
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_ExtractBuildArgs_py-3.9.patch
@@ -0,0 +1,22 @@
+--- a/CI/ExtractBuildArgs.py	(original)
++++ b/CI/ExtractBuildArgs.py	(refactored)
+@@ -3,15 +3,15 @@
+ import json
+ 
+ if len(sys.argv) != 2:
+-    print >> sys.stderr, "    Usage: python ExtractBuildArgs.py <ArgName>"
++    print("    Usage: python ExtractBuildArgs.py <ArgName>", file=sys.stderr)
+     exit (-1)
+ 
+ try:
+     data = json.load(open('BuildSpec.json'))
+     if sys.argv[1] == "cmakeFlags" and data["cmakeFlags"] != "":
+-        print(data["cmakeFlags"])
++        print((data["cmakeFlags"]))
+     elif sys.argv[1] == "branch" and data["branch"] != "":
+-        print(data["branch"])
++        print((data["branch"]))
+ except:
+-    print >> sys.stderr, "No related args found in BuildSpec.json"
++    print("No related args found in BuildSpec.json", file=sys.stderr)
+     exit(-1)

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_handle_release_notification_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_handle_release_notification_py-3.9.patch
new file mode 100644
index 00000000000..ddd162025b4
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_handle_release_notification_py-3.9.patch
@@ -0,0 +1,9 @@
+--- a/CI/handle_release_notification.py	(original)
++++ b/CI/handle_release_notification.py	(refactored)
+@@ -1,5 +1,5 @@
+ 
+-from __future__ import print_function
++
+ 
+ import json
+ import zipfile

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_move_release_doc_to_models_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_move_release_doc_to_models_py-3.9.patch
new file mode 100644
index 00000000000..ef7a384d7e6
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_CI_move_release_doc_to_models_py-3.9.patch
@@ -0,0 +1,9 @@
+--- a/CI/move_release_doc_to_models.py	(original)
++++ b/CI/move_release_doc_to_models.py	(refactored)
+@@ -1,5 +1,5 @@
+ 
+-from __future__ import print_function
++
+ 
+ import json
+ import zipfile

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_android-build_build_and_test_android_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_android-build_build_and_test_android_py-3.9.patch
new file mode 100644
index 00000000000..e77436236c9
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_android-build_build_and_test_android_py-3.9.patch
@@ -0,0 +1,28 @@
+--- a/android-build/build_and_test_android.py	(original)
++++ b/android-build/build_and_test_android.py	(refactored)
+@@ -120,13 +120,13 @@
+  
+     validTests = GetTestList( buildSharedObjects )
+     if runTest not in validTests:
+-        print( 'Invalid value for runtest option: ' + runTest )
++        print(( 'Invalid value for runtest option: ' + runTest ))
+         print( 'Valid values are: ' )
+-        print( '  ' + ", ".join( validTests ) )
++        print(( '  ' + ", ".join( validTests ) ))
+         raise ArgumentException('runtest', runTest)
+         
+     if not IsValidABI(abi):
+-        print('Invalid argument value for abi: ', abi)
++        print(('Invalid argument value for abi: ', abi))
+         print('  Valid values are "armeabi-v7a"')
+         raise ArgumentException('abi', abi)
+ 
+@@ -140,7 +140,7 @@
+         avd = FindAVDForABI(abi, avdABIs)
+ 
+     if not IsValidAVD(avd, abi, avdABIs):
+-        print('Invalid virtual device: ', avd)
++        print(('Invalid virtual device: ', avd))
+         print('  Use --avd to set the virtual device')
+         print('  Use "android lists avds" to see all usable virtual devices')
+         raise ArgumentException('avd', avd)

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_binary-release-pipeline_lambda_publish_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_binary-release-pipeline_lambda_publish_py-3.9.patch
new file mode 100644
index 00000000000..5322430bfb3
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_binary-release-pipeline_lambda_publish_py-3.9.patch
@@ -0,0 +1,14 @@
+--- a/CI/binary-release-pipeline/lambda_publish.py	(original)
++++ b/CI/binary-release-pipeline/lambda_publish.py	(refactored)
+@@ -39,9 +39,9 @@
+                 prefix = publish_key_prefix,
+                 config = config
+             )
+-            print('Uploading artifacts to https://s3.console.aws.amazon.com/s3/object/{bucket}/{key}'.format(
++            print(('Uploading artifacts to https://s3.console.aws.amazon.com/s3/object/{bucket}/{key}'.format(
+                 bucket = publish_bucket,
+-                key = publish_key))
++                key = publish_key)))
+ 
+             s3.meta.client.copy(
+                 { 'Bucket': input_artifacts[i]['location']['s3Location']['bucketName'],

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_doc_crosslinks_generate_cross_link_data_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_doc_crosslinks_generate_cross_link_data_py-3.9.patch
new file mode 100644
index 00000000000..f17f05b3d3d
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_doc_crosslinks_generate_cross_link_data_py-3.9.patch
@@ -0,0 +1,19 @@
+--- a/doc_crosslinks/generate_cross_link_data.py	(original)
++++ b/doc_crosslinks/generate_cross_link_data.py	(refactored)
+@@ -17,14 +17,14 @@
+         if match:
+             with codecs.open(join(apiDefinitionsPath, file), 'rb', 'utf-8') as api_definition:
+                 api_content = json.loads(api_definition.read())
+-                if "uid" in api_content["metadata"].keys():
++                if "uid" in list(api_content["metadata"].keys()):
+                     sdks[api_content["metadata"]["uid"]] = getServiceNameFromMetadata(api_content["metadata"])
+            
+     return sdks
+     
+ def getServiceNameFromMetadata(metadataNode):
+     toSanitize = ""
+-    if "serviceAbbreviation" in metadataNode.keys():
++    if "serviceAbbreviation" in list(metadataNode.keys()):
+         toSanitize = metadataNode["serviceAbbreviation"]
+     else: 
+         toSanitize = metadataNode["serviceFullName"]

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_3rdparty_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_3rdparty_py-3.9.patch
new file mode 100644
index 00000000000..885f94800c1
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_3rdparty_py-3.9.patch
@@ -0,0 +1,70 @@
+--- a/scripts/build_3rdparty.py	(original)
++++ b/scripts/build_3rdparty.py	(refactored)
+@@ -237,7 +237,7 @@
+         dependentInstallFile = os.path.join( uppercaseLib + "-prefix", "src", uppercaseLib + "-build", "cmake_install.cmake" )
+         dependentInstallDirectory = '"' + os.path.join( installDirectory, "external", dependentLib ) + '"'
+         dependent_install_call = "cmake -DCMAKE_INSTALL_CONFIG_NAME=" + config + " -DCMAKE_INSTALL_PREFIX=" + dependentInstallDirectory + " -P " + dependentInstallFile + " .."
+-        print( "dependent install call = " + dependent_install_call )
++        print(( "dependent install call = " + dependent_install_call ))
+         subprocess.check_call( dependent_install_call, shell = True )
+ 
+ 
+@@ -254,7 +254,7 @@
+ 
+     sourcePlatform = platform.system()
+     if not sourcePlatform in platformEnvironments:
+-        print( "Platform " + sourcePlatform + " not supported as a build platform" )
++        print(( "Platform " + sourcePlatform + " not supported as a build platform" ))
+         return 1
+ 
+     platformEnv = platformEnvironments[ sourcePlatform ]
+@@ -292,12 +292,12 @@
+         shutil.rmtree( installDirectory )
+ 
+     if not architecture in platformBuildTargets:
+-        print( "No definition for target architecture " + architecture )
++        print(( "No definition for target architecture " + architecture ))
+         return 1
+ 
+     targetPlatformDef = platformBuildTargets[ architecture ]
+     if not sourcePlatform in targetPlatformDef[ 'buildPlatforms' ]:
+-        print( "Platform " + sourcePlatform + " does not support building for architecture " + architecture )
++        print(( "Platform " + sourcePlatform + " does not support building for architecture " + architecture ))
+         return 1
+ 
+     buildEnvironment = buildEnvironments[ targetPlatformDef[ 'build_environment' ] ]
+@@ -338,18 +338,18 @@
+                 cmake_call_list = cmake_call_list + " -DCUSTOM_PLATFORM_DIR=\"" + customPlatformDir + "\""
+ 
+             cmake_call_list = cmake_call_list + " " + quotedSourceDir
+-            print( "cmake call = " + cmake_call_list )
++            print(( "cmake call = " + cmake_call_list ))
+             subprocess.check_call( cmake_call_list, shell = True )
+ 
+             parallelBuildOption = buildEnvironment[ 'parallel_option' ].replace("??", str(parallelJobs))
+             build_call_list = buildEnvironment[ 'global_build_call' ] + archConfig[ 'build_params' ]
+             if parallelBuildOption != "":
+                 build_call_list = build_call_list + [ parallelBuildOption ]
+-            print( "build call = " + str( build_call_list ) )
++            print(( "build call = " + str( build_call_list ) ))
+             subprocess.check_call( build_call_list )
+ 
+             install_call = "cmake -DCMAKE_INSTALL_CONFIG_NAME=" + archConfig[ 'config' ] + " -DCMAKE_INSTALL_PREFIX=" + quotedInstallDirectory + " -P cmake_install.cmake " + quotedSourceDir
+-            print( "install call = " + install_call )
++            print(( "install call = " + install_call ))
+             subprocess.check_call( install_call, shell = True )
+ 
+             # platform specific stuff
+@@ -365,9 +365,9 @@
+             os.chdir( ".." )
+ 
+         else:
+-            print("Build target config " + targetConfig + " does not exist for architecture " + architecture)
+-
+-    print( "Aws SDK for C++  finished 3rd party installation into: " + installDirectory )
++            print(("Build target config " + targetConfig + " does not exist for architecture " + architecture))
++
++    print(( "Aws SDK for C++  finished 3rd party installation into: " + installDirectory ))
+     
+ 
+ # On windows: Run from powershell; make sure msbuild is in PATH environment variable  

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_example_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_example_py-3.9.patch
new file mode 100644
index 00000000000..8596e41c5f2
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_build_example_py-3.9.patch
@@ -0,0 +1,18 @@
+--- a/scripts/build_example.py	(original)
++++ b/scripts/build_example.py	(refactored)
+@@ -56,13 +56,13 @@
+     cmake_call = cmake_call + " -DCMAKE_PREFIX_PATH=" + sdkInstallDir
+     cmake_call = cmake_call + " -DAWSSDK_ROOT_DIR=" + sdkInstallDir
+     cmake_call = cmake_call + " " + sourceDir
+-    print("cmake call = " + cmake_call)
++    print(("cmake call = " + cmake_call))
+     subprocess.check_call(cmake_call, shell = True)
+     
+     build_call = buildEnvironment[ platform ][ 'global_build_call' ]
+     build_call = build_call + buildEnvironment[ platform ][ 'configs' ].replace("??", buildType)
+     build_call = build_call + buildEnvironment[ platform ][ 'parallel_option' ].replace("??", parallel)
+-    print("build call = " + build_call)
++    print(("build call = " + build_call))
+     subprocess.check_call(build_call, shell = True)
+ 
+ def Main():

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_dummy_web_server_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_dummy_web_server_py-3.9.patch
new file mode 100644
index 00000000000..396d1b134eb
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_dummy_web_server_py-3.9.patch
@@ -0,0 +1,20 @@
+--- a/scripts/dummy_web_server.py	(original)
++++ b/scripts/dummy_web_server.py	(refactored)
+@@ -78,7 +78,7 @@
+             self._set_headers()
+             self.wfile.write(self._html("hi!"))
+         except socket.error as e:
+-            print ("socket.error : Connection broke. Aborting" + str(e))
++            print(("socket.error : Connection broke. Aborting" + str(e)))
+             self.wfile._sock.close()
+             self.wfile._sock = None
+             return False
+@@ -111,7 +111,7 @@
+     server_address = (addr, port)
+     httpd = server_class(server_address, handler_class)
+ 
+-    print("Starting httpd server on {}:{}.".format(addr, port))
++    print(("Starting httpd server on {}:{}.".format(addr, port)))
+     httpd.serve_forever()
+     httpd.stop_server()
+ 

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_endpoints_checker_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_endpoints_checker_py-3.9.patch
new file mode 100644
index 00000000000..3fd67591c09
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_endpoints_checker_py-3.9.patch
@@ -0,0 +1,29 @@
+--- a/scripts/endpoints_checker.py	(original)
++++ b/scripts/endpoints_checker.py	(refactored)
+@@ -64,8 +64,8 @@
+     strippedContent = RemoveCPPComments(content);
+     match = ScanContent(strippedContent);
+     if match:
+-        print inputFile;
+-        print "..." + strippedContent[match.start() : match.end()] + "...";
++        print(inputFile);
++        print("..." + strippedContent[match.start() : match.end()] + "...");
+         return True;
+ 
+     return False;
+@@ -109,7 +109,7 @@
+ assert ScanContent("\"cn-north-2 doesn't exist\"") == None;
+ 
+ ###################Test End######################################
+-print "Start checking hard coded endpoints in source files...";
++print("Start checking hard coded endpoints in source files...");
+ exitCode = 0;
+ RootDir = os.path.dirname(os.path.dirname(os.path.realpath(__file__)));
+ for root, dirnames, fileNames in os.walk(RootDir):
+@@ -117,5 +117,5 @@
+         if fileName.endswith(('.h', '.cpp')):
+             targetFile = os.path.join(root, fileName);
+             exitCode |= CheckFile(targetFile);
+-print "Finished checking hard coded endpoints in source files with exit code",exitCode,".";
++print("Finished checking hard coded endpoints in source files with exit code",exitCode,".");
+ exit(exitCode);

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_gather_3rdparty_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_gather_3rdparty_py-3.9.patch
new file mode 100644
index 00000000000..c1141bdf53e
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_gather_3rdparty_py-3.9.patch
@@ -0,0 +1,11 @@
+--- a/scripts/gather_3rdparty.py	(original)
++++ b/scripts/gather_3rdparty.py	(refactored)
+@@ -200,7 +200,7 @@
+ 
+     # shutil.rmtree( destDir )
+ 
+-    print( "Aws SDK for C++  finished 3rd party pre-build gather into: " + uploadZipFile )
++    print(( "Aws SDK for C++  finished 3rd party pre-build gather into: " + uploadZipFile ))
+     
+ 
+ Main()

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_generate_sdks_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_generate_sdks_py-3.9.patch
new file mode 100644
index 00000000000..12b910425bf
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_generate_sdks_py-3.9.patch
@@ -0,0 +1,25 @@
+--- a/scripts/generate_sdks.py	(original)
++++ b/scripts/generate_sdks.py	(refactored)
+@@ -94,7 +94,7 @@
+                  with zipfile.ZipFile(output.strip().decode('utf-8'), 'r') as zip:
+                      zip.extractall(outputDir)
+     except EnvironmentError as  ex:
+-        print('Error generating sdk {} with error {}'.format(sdk, ex))
++        print(('Error generating sdk {} with error {}'.format(sdk, ex)))
+ 
+ def Main():
+     arguments = ParseArguments()
+@@ -105,11 +105,11 @@
+     sdks = DiscoverAllAvailableSDKs(arguments['pathToApiDefinitions'])
+ 
+     if arguments['listAll']:
+-        for key, value in sdks.iteritems():
++        for key, value in sdks.items():
+             print(value)
+ 
+     if arguments['serviceName']:
+-        print('Generating {} api version {}.'.format(arguments['serviceName'], arguments['apiVersion']))
++        print(('Generating {} api version {}.'.format(arguments['serviceName'], arguments['apiVersion'])))
+         key = '{}-{}'.format(arguments['serviceName'], arguments['apiVersion'])
+         GenerateSdk(arguments['pathToGenerator'], sdks[key], arguments['outputLocation'], arguments['namespace'], arguments['licenseText'], arguments['standalone'], arguments['enableVirtualOperations'])
+ 

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_renew_license_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_renew_license_py-3.9.patch
new file mode 100644
index 00000000000..d73fa82ff1c
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_renew_license_py-3.9.patch
@@ -0,0 +1,11 @@
+--- a/scripts/renew_license.py	(original)
++++ b/scripts/renew_license.py	(refactored)
+@@ -55,7 +55,7 @@
+     if (skipFile(inputFile)):
+         return False;
+ 
+-    print ("Process file: " + inputFile)
++    print(("Process file: " + inputFile))
+     with open(inputFile) as ftarget:
+         content = ftarget.read()
+ 

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_run_integration_tests_py-3.9.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_run_integration_tests_py-3.9.patch
new file mode 100644
index 00000000000..f451e707f40
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-upgrade_scripts_run_integration_tests_py-3.9.patch
@@ -0,0 +1,17 @@
+--- a/scripts/run_integration_tests.py	(original)
++++ b/scripts/run_integration_tests.py	(refactored)
+@@ -52,11 +52,11 @@
+         testExe = os.path.join(arguments[ "testDir" ], testName if testHasParentDir else "", testName) + exeExtension
+         # when build with BUILD_ONLY, not all test binaries will be generated.
+         if not os.path.isfile(testExe):
+-            print("Test: \"{}\" doesn't exist, skipped.".format(testExe))
++            print(("Test: \"{}\" doesn't exist, skipped.".format(testExe)))
+             continue
+         prefix = "--aws_resource_prefix=" + platform.system().lower()
+-        print("testExe = " + testExe)
+-        print("prefix = " + prefix)
++        print(("testExe = " + testExe))
++        print(("prefix = " + prefix))
+         AddExecutableBit(testExe)
+         subprocess.check_call([testExe, prefix])
+ 

diff --git a/dev-libs/aws-sdk-cpp/metadata.xml b/dev-libs/aws-sdk-cpp/metadata.xml
index 3995d6c12b5..d9d348be77d 100644
--- a/dev-libs/aws-sdk-cpp/metadata.xml
+++ b/dev-libs/aws-sdk-cpp/metadata.xml
@@ -4,6 +4,10 @@
 	<maintainer type="person">
 		<email>amit.prakash.ambasta@gmail.com</email>
 	</maintainer>
+	<maintainer type="person">
+		<email>sven.eden@prydeworx.com</email>
+		<name>Sven Eden</name>
+	</maintainer>
 	<maintainer type="project">
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
@@ -27,19 +31,28 @@
 
 		<flag name="access-management">
 			AWS Access Management, a meta-flag that enables:
-			AWS Certificate Manager (ACM): Provision, manage, and deploy SSL/TLS certificates on AWS managed
-				resources.
+			AWS Certificate Manager (ACM): Provision, manage, and deploy SSL/TLS certificates on AWS
+				managed resources.
+			AWS Data Exchange            : A service that makes it easy for customers to find, subscribe
+				to, and use third-party data in the AWS Cloud.
+			AWS IAM Access Analyzer      : Identify any policies that grant access to an external
+				principal.
 			Identity and Access Management (IAM): A web service for securely controlling access to AWS
 				services.
 			Resource Access Manager (RAM): Customers who operate multiple accounts can create resources
-				centrally and use AWS RAM to share them with all of their accounts to reduce operational
-				overhead.
-			Also enables acm-pca, identity-management and sts (Security Token Service).
+				centrally and use AWS RAM to share them with all of their accounts to reduce
+				operational overhead.
+			SSO : AWS Single Sign-On (SSO) makes it easy to centrally manage access to multiple AWS
+				accounts and business applications and provide users with single sign-on access to all
+				their assigned accounts and applications from one place.
+			Also enables acm-pca, identity-management, identitystore, sso-oidc and sts (Security Token
+			Service).
 		</flag>
 		<flag name="apigateway">
 			Create and deploy your own REST and WebSocket APIs at any scale.
 			Also enables apigatewaymanagementapi and apigatewayv2.
 		</flag>
+		<flag name="appconfig">Quickly deploy application configurations to applications of any size.</flag>
 		<flag name="backup">AWS Backup is a fully managed backup service</flag>
 		<flag name="batch">Run batch computing workloads on the AWS Cloud</flag>
 		<flag name="budgets">
@@ -58,16 +71,22 @@
 				internal websites and web apps from mobile devices.
 			WorkMail     : Managed email and calendaring service.
 			WorkSpaces   : Cloud-based desktop experience for end users.
+			Also enabled workmailmessageflow.
 		</flag>
 		<flag name="cloud-dev">
 			Enables in-cloud developer tools:
 			Cloud9      : Cloud-based integrated development environment IDE to write, run, and debug code.
+			CodeArtifact: Secure and scalable artifact management service for software development.
 			CodeBuild   : Managed build service that compiles, runs unit tests and produces artifacts.
 			CodeCommit  : Privately store and manage Git repositories in the AWS cloud.
 			CodeDeploy  : Automate the deployment and updating of applications.
+			CodeGuru    : Provides intelligent recommendations for improving application performance,
+				efficiency, and code quality in your Java applications.
 			CodePipeline: Continuous delivery service to model, visualize, and automate the steps required
 				to release software.
-			CodeStar    : Quickly develop, build, and deploy applications on AWS.
+			CodeStar    : Quickly develop, build, and deploy applications on AWS. Also enables
+				codestar-connections and codestar-notifications.
+			Honey Code  : Fully managed service to quickly build mobile and web apps for teams.
 			Queues      : Simple queue class. Allows standard queue operations top, delete, and push. Also
 				has higher level, asynchronous interface with callbacks.
 			X-Ray       : Provides request tracing, exception collection, and profiling capabilities.
@@ -127,15 +146,18 @@
 			CloudTrail          : Monitor AWS deployments in the cloud by getting a history of AWS API
 				calls, including API calls made via the AWS Management Console, the AWS SDKs, the
 				command line tools, and higher-level AWS services.
+			Compute Optimizer   : Recommends optimal AWS compute resources for your workloads.
 			GuardDuty           : Continuous security monitoring service.
 			Health              : Provides personalized information about events that can affect the AWS
-				infrastructure, guides through scheduled changes, and accelerates the troubleshooting of
-				issues that affect AWS resources and accounts.
+				infrastructure, guides through scheduled changes, and accelerates the troubleshooting
+				of issues that affect AWS resources and accounts.
 			Inspector           : A security vulnerability assessment service that helps improve the
 				security and compliance of
 			AWS resources.
 			Logs                : Monitor, store, and access log files from Amazon EC2 instances, AWS
 				CloudTrail, or other sources.
+			Synthetics          : Create canaries, configurable scripts that run on a schedule, to monitor
+				your endpoints and APIs.
 		</flag>
 		<flag name="cognito">
 			Create unique identities, authenticate these identities with identity providers and save mobile
@@ -152,13 +174,23 @@
 			Manage the lifecycle of AWS resources. Create lifecycle policies to automate operations on
 			specified resources.
 		</flag>
+		<flag name="ebs">
+			Amazon Elastic Block Store (Amazon EBS) is a web service that provides block level storage
+			volumes for use with EC2 instances. EBS volumes are highly available and reliable storage
+			volumes that can be attached to any running instance and used like a hard drive.
+		</flag>
 		<flag name="ec2">
 			Amazon Elastic Compute Cloud (EC2) is a web service that provides resizeable computing capacity.
 			This flag also enables the following modules:
 			Auto Scaling       : Set up dynamic and predictive scaling for scalable AWS resources. Also
 				enables autoscaling-plans and application-autoscaling.
+			EC2 Image Builder  : Fully-managed AWS service that makes it easier to automate the creation,
+				management, and deployment of customized, secure, and up-to-date “golden” server images
+				that are pre-installed and pre-configured with software and settings to meet specific IT
+				standards.
 			Elastic File System: EFS provides file storage for Amazon EC2 instances.
-
+			Savings Plan       : Flexible pricing model that helps you save a significant percentage on
+				Amazon EC2 and Fargate usage.
 		</flag>
 		<flag name="ecr">
 			Amazon Elastic Container Registry (ECR) is a fully managed Docker container registry.
@@ -167,12 +199,19 @@
 			Amazon Elastic Container Service (ECS) is a highly scalable, fast, container management service.
 		</flag>
 		<flag name="eks">
-			Amazon Elastic Kubernetes Service (EKS) is a managed service to run Kubernetes on AWS without own Kubernetes clusters.
+			Amazon Elastic Kubernetes Service (EKS) is a managed service to run Kubernetes on AWS without
+			own Kubernetes clusters.
 		</flag>
 		<flag name="elasticache">
 			Set up, manage, and scale distributed in-memory cache environments in the AWS Cloud
 		</flag>
 		<flag name="elasticbeanstalk">Quickly deploy and manage applications in the AWS Cloud.</flag>
+		<flag name="elasticinference">
+			Amazon Elastic Inference is a service that allows you to attach low-cost GPU-powered
+			acceleration to many Amazon machine instances in order to reduce the cost of running deep
+			learning inference by up to 75%. Amazon Elastic Inference supports TensorFlow, Apache MXNet, and
+			ONNX models through MXNet.
+		</flag>
 		<flag name="elasticloadbalancing">
 			Automatically distribute incoming application traffic across multiple targets, such as EC2
 			instances.
@@ -186,6 +225,7 @@
 			Amazon Simple Email Service (Amazon SES):
 			An email platform to send and receive email using ones own email addresses and domains.
 			See: https://docs.aws.amazon.com/ses/latest/DeveloperGuide/Welcome.html
+			Also enables sesv2
 		</flag>
 		<flag name="es">
 			Amazon Elasticsearch Configuration Service (ES) is an API to create, configure, and manage
@@ -195,6 +235,18 @@
 			Serverless event bus service to connect applications with data from a variety of sources.
 			Also enables eventbridge.
 		</flag>
+		<flag name="forecast">
+			Amazon Forecast is a fully managed deep learning service for time-series forecasting. Time-
+			series forecasting is useful in multiple domains, including retail, financial planning, supply
+			chain, and healthcare.
+			Also enables the forecastquery module.
+		</flag>
+		<flag name="frauddetector">
+			Amazon Fraud Detector is a fully managed service that helps you detect suspicious online
+			activities such as the creation of fake accounts and online payment fraud. With Amazon Fraud
+			Detector, you can create a fraud detection ML model with just a few clicks and use it to
+			evaluate online activities in milliseconds.
+		</flag>
 		<flag name="fsx">Amazon FSx is a fully managed service to launch and use shared file storage.</flag>
 		<flag name="globalaccelerator">
 			AWS Global Accelerator is a network layer service for accelerators to improve availability and
@@ -212,20 +264,28 @@
 			iotanalytics  : Provides advanced data analysis for AWS IoT.
 			iotevents     : Monitor equipment or device fleets for failures or changes in operation, and
 				trigger actions when such events occur.
+			iotsitewise   : Easily collect, organize, and analyze data from industrial equipment at scale.
 			iotthingsgraph: Integrated set of tools that enable developers to build IoT applications using
-				devices and services that use different data representation standards and communication protocols.
-			Also enables iot1click-devices, iot1click-projects, iot-data, iotevents-data and iot-jobs-data.
+				devices and services that use different data representation standards and communication
+				protocols.
+			Also enables iot1click-devices, iot1click-projects, iot-data, iotevents-data, iot-jobs-data and
+			iotsecuretunneling.
+		</flag>
+		<flag name="kendra">
+			Amazon Kendra is a search service, powered by machine learning, that enables users to search
+			unstructured text using natural language.
 		</flag>
 		<flag name="kinesis">
 			Amazon Kinesis
 			Collect, process, and analyze video and data streams in real time. The following modules besides
 			kinesis are enabled:
-			firehose                    : Load data streams into AWS data stores.
-			kinesisanalytics            : Process and analyze streaming data using SQL or Java. (Also
-				enables kinesisanalyticsv2)
-			kinesisvideo                : Capture, process, and store video streams for analytics and
-				machine learning.
-			Additionally kinesis-video-archived-media and kinesis-video-media are enabled.
+			firehose        : Load data streams into AWS data stores.
+			ivs             : Managed live streaming solution for creating interactive video experiences.
+			kinesisanalytics: Process and analyze streaming data using SQL or Java. (Also enables 
+				kinesisanalyticsv2)
+			kinesisvideo    : Capture, process, and store video streams for analytics and machine learning.
+			Additionally kinesis-video-archived-media, kinesis-video-media and kinesis-video-signaling are
+			enabled.
 		</flag>
 		<flag name="kms">
 			AWS Key Management Service (KMS)
@@ -251,6 +311,7 @@
 		<flag name="macie">
 			A security service that uses machine learning to automatically discover, classify, and protect
 			sensitive data in AWS.
+			Also enables macie2
 		</flag>
 		<flag name="managedblockchain">
 			Create and manage scalable blockchain networks using popular open source frameworks. Currently,
@@ -266,7 +327,11 @@
 			Marketplace Metering Service   : A pricing and metering feature that AWS Marketplace sellers can
 				use to directly charge for their software along one of four dimensions: users, data,
 				bandwidth, or hosts.
-			Also enables pricing.
+			Also enables marketplace-catalog and pricing.
+		</flag>
+		<flag name="networkmanager">
+			Transit Gateway Network Manager (Network Manager) enables you to create a global network, in
+			which you can monitor your AWS and on-premises networks that are built around transit gateways.
 		</flag>
 		<flag name="organizations">
 			Account management service that to consolidate multiple AWS accounts into an organization to be
@@ -281,11 +346,17 @@
 			you would like to have any of the following modules to have their own USE flag, please open a
 			bug report and it will most probably get one.
 			The modules are:
-			AWSMigrationHub, alexaforbusiness, clouddirectory, comprehend, comprehendmedical, connect,
-			datapipeline, datasync, directconnect, discovery, dms, docdb, ds, dynamodb, gamelift, glue,
-			groundstation, importexport, kafka, lakeformation, mq, mturk-requester, neptune, quicksight,
-			redshift, robomaker, sdb, service-quotas, servicecatalog, servicediscovery, signer, sms,
-			snowball, ssm, states, storagegateway, support and swf.
+			AWSMigrationHub, alexaforbusiness, appflow, braket, clouddirectory, comprehend,
+			comprehendmedical, connect, datapipeline, datasync, directconnect, discovery, dms, docdb, ds,
+			dynamodb, gamelift, glue, groundstation, importexport, kafka, lakeformation, migrationhub-
+			config, mq, mturk-requester, neptune, quicksight, redshift, robomaker, sdb, schemas, service-
+			quotas, servicecatalog, servicediscovery, signer, sms, snowball, ssm, states, storagegateway,
+			support and swf.
+		</flag>
+		<flag name="outposts">
+			AWS Outposts brings native AWS services, infrastructure, and operating models to virtually any
+			data center, co-location space, or on-premises facility. You can use the same services, tools,
+			and partner solutions to develop for the cloud and on premises.
 		</flag>
 		<flag name="personalize">
 			Real-time personalization and recommendations, based on the same technology used at Amazon.com.
@@ -294,7 +365,14 @@
 		<flag name="polly">
 			Amazon Polly
 			A Text-to-Speech (TTS) cloud service that converts text into lifelike speech.
-			Also enables text-to-speech.
+			Also enables text-to-speech, which needs you to enable pulseaudio support to work.
+		</flag>
+		<flag name="qldb">
+			Amazon Quantum Ledger Database (Amazon QLDB) is a fully managed ledger database that provides a
+			transparent, immutable, and cryptographically verifiable transaction log owned by a central
+			trusted authority. You can use Amazon QLDB to track all application data changes, and maintain
+			a complete and verifiable history of changes over time.
+			Also enables qldb-session.
 		</flag>
 		<flag name="queues">
 			AWS Queues is a simple queue class.
@@ -330,7 +408,7 @@
 			Fully managed machine learning service. With Amazon SageMaker, data scientists and developers
 			can quickly and easily build and train machine learning models, and then directly deploy them
 			into a production-ready hosted environment.
-			Also enables sagemaker-runtime.
+			Also enables sagemaker-a2i-runtime and sagemaker-runtime.
 		</flag>
 		<flag name="secretsmanager">
 			Encrypt, store, and retrieve credentials for databases and other services.
@@ -367,7 +445,7 @@
 			CloudFront distributions or an Application Load Balancer. Can also be used to block or allow
 			requests based on conditions such as the IP addresses that requests originate from or values in
 			the requests.
-			Also enables fms and waf-regional.
+			Also enables fms, waf-regional and wafv2
 		</flag>
 	</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-libs/aws-sdk-cpp/, dev-libs/aws-sdk-cpp/files/
@ 2020-09-30  7:06 Joonas Niilola
  0 siblings, 0 replies; 3+ messages in thread
From: Joonas Niilola @ 2020-09-30  7:06 UTC (permalink / raw
  To: gentoo-commits

commit:     d37df88ee5b07c4286698a8332f1893066a75217
Author:     Sven Eden <sven.eden <AT> prydeworx <DOT> com>
AuthorDate: Tue Sep 29 08:53:02 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Sep 30 07:06:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d37df88e

dev-libs/aws-sdk-cpp: Fix dependency and build FLAGS

* The dependency on dev-libs/aws-checkums has been fixed
* The build system introduces -Werror into the build system, which
  has been removed.

Closes: https://bugs.gentoo.org/745087
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Sven Eden <sven.eden <AT> prydeworx.com>
Closes: https://github.com/gentoo/gentoo/pull/17707
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 ...8.46-r1.ebuild => aws-sdk-cpp-1.8.46-r2.ebuild} |  3 ++-
 ...s-sdk-cpp-1.8.46-remove_Werror_from_FLAGS.patch | 30 ++++++++++++++++++++++
 2 files changed, 32 insertions(+), 1 deletion(-)

diff --git a/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r1.ebuild b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r2.ebuild
similarity index 98%
rename from dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r1.ebuild
rename to dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r2.ebuild
index d2d2b9d0106..a2d30d7fccd 100644
--- a/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r1.ebuild
+++ b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.46-r2.ebuild
@@ -37,8 +37,8 @@ DEPEND="
 		libressl? ( dev-libs/libressl:0= )
 	)
 	>=dev-libs/aws-c-common-0.4.26:=[static-libs=]
-	dev-libs/aws-checksums
 	>=dev-libs/aws-c-event-stream-0.1.6:=[static-libs=]
+	>=dev-libs/aws-checksums-0.1.9:=[static-libs=]
 	sys-libs/zlib
 "
 RDEPEND="
@@ -62,6 +62,7 @@ PATCHES=(
 	"${FILESDIR}"/${PN}-upgrade_scripts_generate_sdks_py-3.9.patch
 	"${FILESDIR}"/${PN}-upgrade_scripts_renew_license_py-3.9.patch
 	"${FILESDIR}"/${PN}-upgrade_scripts_run_integration_tests_py-3.9.patch
+	"${FILESDIR}"/${P}-remove_Werror_from_FLAGS.patch
 )
 
 src_configure() {

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.46-remove_Werror_from_FLAGS.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.46-remove_Werror_from_FLAGS.patch
new file mode 100644
index 00000000000..9c8ff79e311
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.46-remove_Werror_from_FLAGS.patch
@@ -0,0 +1,30 @@
+--- a/cmake/compiler_settings.cmake	2020-09-29 10:15:14.293703615 +0200
++++ b/cmake/compiler_settings.cmake	2020-09-29 10:15:32.173704251 +0200
+@@ -53,7 +53,7 @@
+ endmacro()
+ 
+ macro(set_gcc_warnings)
+-    list(APPEND AWS_COMPILER_WARNINGS "-Wall" "-Werror" "-pedantic" "-Wextra")
++    list(APPEND AWS_COMPILER_WARNINGS "-Wall" "-pedantic" "-Wextra")
+     if(COMPILER_CLANG)
+         if(PLATFORM_ANDROID)
+             # when using clang with libc and API lower than 21 we need to include Android support headers and ignore the gnu-include-next warning.
+--- a/cspell.json	2020-09-29 10:19:23.102712472 +0200
++++ b/cspell.json	2020-09-29 10:20:32.195714931 +0200
+@@ -11,7 +11,7 @@
+         // CMake
+         "cmake",
+         // Compiler and linker
+-        "Wpedantic", "Wextra", "Werror", "xldscope", "Wtype", "Wunused",
++        "Wpedantic", "Wextra", "xldscope", "Wtype", "Wunused",
+         // Android NDK
+         "JNIEXPORT", "jint", "JNICALL", "jobject", "jclass", "jmethod", "Ljava",
+         // XML parser
+--- a/CI/install-test/CMakeLists.txt	2020-09-29 10:19:32.094712792 +0200
++++ b/CI/install-test/CMakeLists.txt	2020-09-29 10:19:46.064713289 +0200
+@@ -4,4 +4,4 @@
+ find_package(AWSSDK REQUIRED COMPONENTS s3)
+ add_executable(${PROJECT_NAME} "main.cpp")
+ target_link_libraries(${PROJECT_NAME} ${AWSSDK_LINK_LIBRARIES})
+-target_compile_options(${PROJECT_NAME} PRIVATE "-Wall" "-Werror")
++target_compile_options(${PROJECT_NAME} PRIVATE "-Wall")


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-libs/aws-sdk-cpp/, dev-libs/aws-sdk-cpp/files/
@ 2020-12-13 11:00 Joonas Niilola
  0 siblings, 0 replies; 3+ messages in thread
From: Joonas Niilola @ 2020-12-13 11:00 UTC (permalink / raw
  To: gentoo-commits

commit:     fdb1dfcb4ca5cbafb4a2ca09b7491cce6dbcde66
Author:     Sven Eden <sven.eden <AT> prydeworx <DOT> com>
AuthorDate: Thu Dec 10 08:03:38 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Dec 13 10:50:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdb1dfcb

dev-libs/aws-sdk-cpp: Version 1.8.105 bump

The following new modules have been added:
* Amazon ECR Public
* Amazon EMR on EKS
* Amazon Lookout for Vision
* Amazon Managed Workflows for Apache Airflow (Amazon MWAA)
* Amazon Timestream
* Audit Manager
* Detective
* DevOps Guru

The following modules are now enabled in various categories:
* connect-contact-lens
* customer-profiles
* databrew
* healthlake
* network-firewall
* s3outposts
* sagemaker-edge
* sagemaker-featurestore-runtime
* sso-admin
* servicecatalog-appregistry

Further more the SDK now uses the new packages
* dev-libs/aws-c-cal
* dev-libs/aws-c-io and
* dev-libs/s2n
which have code for IO/TLS/SSL and a cryptography layer split out.

In the wake of this bump, the mentioned new packages have been added,
and the following packages bumped:
* dev-libs/aws-c-common
* dev-libs/aws-checksums
* dev-libs/aws-c-event-stream

All packages that suffer from the cmake-3.9.0/1 regression [0] have
been updated to no longer accept dev-util/cmake-3.9.0 and
dev-util/cmake-3.9.1 for building.

Bug: https://bugs.gentoo.org/755932
Bug: https://bugs.gentoo.org/756325
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sven Eden <sven.eden <AT> prydeworx.com>

[0] https://gitlab.kitware.com/cmake/cmake/-/issues/21529

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/aws-sdk-cpp/Manifest                      |   1 +
 dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.105.ebuild    | 196 +++++++++++++++++++++
 ...-sdk-cpp-1.8.105-remove_Werror_from_FLAGS.patch |  30 ++++
 dev-libs/aws-sdk-cpp/metadata.xml                  |  43 +++--
 4 files changed, 260 insertions(+), 10 deletions(-)

diff --git a/dev-libs/aws-sdk-cpp/Manifest b/dev-libs/aws-sdk-cpp/Manifest
index c27b05abb98..787351bbd42 100644
--- a/dev-libs/aws-sdk-cpp/Manifest
+++ b/dev-libs/aws-sdk-cpp/Manifest
@@ -1 +1,2 @@
+DIST aws-sdk-cpp-1.8.105.tar.gz 31880249 BLAKE2B 1a2eb972b716c656f45b8d1d12fc3e7280c171e4a19eb5431e320511365d305211e8567aa7fcc3e21f553ad5befda91829df6ccf60c23296d210d0c7347bb2a2 SHA512 a76da095718c8569c62597431d29a0a54c1a7f81c1825894f0f40b1a971a3e0b4f0813da4ac929612b9bb5f92501ee6a034436faa6eef678d936117765baab7e
 DIST aws-sdk-cpp-1.8.46.tar.gz 28989406 BLAKE2B 47a72d1e0578ecd28e376f3c6688a997faeeae41ba5e4ab5aeff59a2d8f592fc63746445728ab3236952cfc045dc683c816c77dfb8fbe3d98904e50013201ace SHA512 9fedc9de84721189f001a0a5fb2dd63987a366a37ec6354234b244da39929b420e6289bd319d0f056fa4274b7bc682d1aab2dddd5dc823abdf24b69536610ed4

diff --git a/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.105.ebuild b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.105.ebuild
new file mode 100644
index 00000000000..55d368d0d70
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/aws-sdk-cpp-1.8.105.ebuild
@@ -0,0 +1,196 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit cmake python-single-r1
+
+DESCRIPTION="AWS SDK for C++"
+HOMEPAGE="https://aws.amazon.com/sdk-for-cpp/"
+SRC_URI="https://github.com/aws/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+MODULES=(
+	access-management apigateway appconfig backup batch budgets chime cloud-desktop cloud-dev cloud-media
+	cloud-mobile cloudformation cloudfront cloudhsm cloudsearch cloudwatch cognito config dlm ebs ec2 ecr ecs
+	eks elasticache elasticbeanstalk elastic-inference elasticloadbalancing elasticmapreduce email es events
+	forecast frauddetector fsx globalaccelerator iot kendra kinesis kms lambda lex license-manager lightsail
+	lookoutvision machinelearning macie managedblockchain marketplace mwaa networkmanager opsworks
+	organizations other outposts personalize polly qldb queues rds rekognition resource-groups route53 s3
+	sagemaker secretsmanager securityhub serverlessrepo shield sns sqs textract timestream transcribe
+	translate waf
+)
+
+IUSE="+http libressl pulseaudio +rtti +ssl static-libs test unity-build ${MODULES[*]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	http? ( net-misc/curl:= )
+	pulseaudio? ( media-sound/pulseaudio )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	>=dev-libs/aws-c-common-0.4.62:=[static-libs=]
+	>=dev-libs/aws-c-event-stream-0.2.5:=[static-libs=]
+	>=dev-libs/aws-checksums-0.1.10:=[static-libs=]
+	sys-libs/zlib
+"
+RDEPEND="
+	${DEPEND}
+	${PYTHON_DEPS}
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-upgrade_android-build_build_and_test_android_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_binary-release-pipeline_lambda_publish_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_ConstructReleaseDoc_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_ExtractBuildArgs_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_handle_release_notification_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_CI_move_release_doc_to_models_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_doc_crosslinks_generate_cross_link_data_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_build_3rdparty_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_build_example_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_dummy_web_server_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_endpoints_checker_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_gather_3rdparty_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_generate_sdks_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_renew_license_py-3.9.patch
+	"${FILESDIR}"/${PN}-upgrade_scripts_run_integration_tests_py-3.9.patch
+	"${FILESDIR}"/${P}-remove_Werror_from_FLAGS.patch
+)
+
+src_configure() {
+	local mybuildtargets="core"
+
+	for module in ${MODULES[@]}; do
+		if use ${module}; then
+			if [ "${module}" = "access-management" ] ; then
+				mybuildtargets+=";${module};accessanalyzer;acm;acm-pca;dataexchange;iam"
+				mybuildtargets+=";identity-management;identitystore;ram;sso;sso-admin;sso-oidc;sts"
+			elif [ "${module}" = "apigateway" ] ; then
+				mybuildtargets+=";${module};apigatewaymanagementapi;apigatewayv2"
+			elif [ "${module}" = "budgets" ] ; then
+				mybuildtargets+=";${module};ce;cur"
+			elif [ "${module}" = "cloud-desktop" ] ; then
+				mybuildtargets+=";appstream;workdocs;worklink;workmail;workmailmessageflow;workspaces"
+			elif [ "${module}" = "cloud-dev" ] ; then
+				mybuildtargets+=";cloud9;codeartifact;codebuild;codecommit;codedeploy;codeguruprofiler"
+				mybuildtargets+=";codeguru-reviewer;codepipeline;codestar;codestar-connections"
+				mybuildtargets+=";codestar-notifications;honeycode;xray"
+				if ! use "queues"; then
+					mybuildtargets+=";queues"
+				fi
+			elif [ "${module}" = "cloud-media" ] ; then
+				mybuildtargets+=";elastictranscoder;mediaconnect;mediaconvert;medialive;mediapackage"
+				mybuildtargets+=";mediapackage-vod;mediastore;mediastore-data;mediatailor"
+			elif [ "${module}" = "cloud-mobile" ] ; then
+				mybuildtargets+=";amplify;appsync;devicefarm;mobile;mobileanalytics;pinpoint"
+				mybuildtargets+=";pinpoint-email;sms-voice"
+				if ! use "sns"; then
+					mybuildtargets+=";sns"
+				fi
+			elif [ "${module}" = "cloudhsm" ] ; then
+				mybuildtargets+=";${module};cloudhsmv2"
+			elif [ "${module}" = "cloudsearch" ] ; then
+				mybuildtargets+=";${module};cloudsearchdomain"
+			elif [ "${module}" = "cloudwatch" ] ; then
+				mybuildtargets+=";application-insights;appmesh;auditmanager;cloudtrail;compute-optimizer"
+				mybuildtargets+=";detective;devops-guru;guardduty;health;inspector;logs;monitoring;synthetics"
+			elif [ "${module}" = "cognito" ] ; then
+				mybuildtargets+=";cognito-identity;cognito-idp;cognito-sync"
+			elif [ "${module}" = "dynamodb" ] ; then
+				mybuildtargets+=";${module};dax;dynamodbstreams"
+			elif [ "${module}" = "ec2" ] ; then
+				mybuildtargets+=";${module};autoscaling;autoscaling-plans;application-autoscaling"
+				mybuildtargets+=";ec2-instance-connect;elasticfilesystem;imagebuilder;savingsplans"
+			elif [ "${module}" = "ecr" ] ; then
+				mybuildtargets+=";${module};ecr-public"
+			elif [ "${module}" = "eks" ] ; then
+				mybuildtargets+=";${module};emr-containers"
+			elif [ "${module}" = "elasticloadbalancing" ] ; then
+				mybuildtargets+=";${module};elasticloadbalancingv2"
+			elif [ "${module}" = "email" ] ; then
+				mybuildtargets+=";${module};sesv2"
+			elif [ "${module}" = "events" ] ; then
+				mybuildtargets+=";${module};eventbridge"
+			elif [ "${module}" = "forecast" ] ; then
+				mybuildtargets+=";${module};forecastquery"
+			elif [ "${module}" = "iot" ] ; then
+				mybuildtargets+=";${module};greengrass;iot1click-devices;iot1click-projects"
+				mybuildtargets+=";iotanalytics;iot-data;iotevents;iotevents-data;iot-jobs-data"
+				mybuildtargets+=";iotsecuretunneling;iotsitewise;iotthingsgraph"
+			elif [ "${module}" = "kinesis" ] ; then
+				mybuildtargets+=";${module};firehose;ivs;kinesisanalytics;kinesisanalyticsv2"
+				mybuildtargets+=";kinesisvideo;kinesis-video-archived-media;kinesis-video-media"
+				mybuildtargets+=";kinesis-video-signaling"
+			elif [ "${module}" = "lex" ] ; then
+				mybuildtargets+=";${module};lex-models"
+			elif [ "${module}" = "macie" ] ; then
+				mybuildtargets+=";${module};macie2"
+			elif [ "${module}" = "marketplace" ] ; then
+				mybuildtargets+=";marketplacecommerceanalytics;marketplace-catalog"
+				mybuildtargets+=";marketplace-entitlement;meteringmarketplace;pricing"
+				mybuildtargets+=";servicecatalog-appregistry"
+			elif [ "${module}" = "opsworks" ] ; then
+				mybuildtargets+=";${module};opsworkscm"
+			elif [ "${module}" = "other" ] ; then
+				mybuildtargets+=";AWSMigrationHub;alexaforbusiness;appflow;braket;clouddirectory"
+				mybuildtargets+=";comprehend;comprehendmedical;connect;connect-contact-lens"
+				mybuildtargets+=";connectparticipant;customer-profiles;datapipeline;databrew;datasync"
+				mybuildtargets+=";directconnect;discovery;dms;docdb;ds;dynamodb;gamelift;glue"
+				mybuildtargets+=";groundstation;healthlake;importexport;kafka;lakeformation"
+				mybuildtargets+=";migrationhub-config;mq;mturk-requester;neptune;quicksight;redshift"
+				mybuildtargets+=";robomaker;sdb;schemas;service-quotas;servicecatalog;servicediscovery"
+				mybuildtargets+=";signer;sms;snowball;ssm;states;storagegateway;support;swf"
+			elif [ "${module}" = "outposts" ] ; then
+				mybuildtargets+=";${module};s3outposts"
+			elif [ "${module}" = "personalize" ] ; then
+				mybuildtargets+=";${module};personalize-events;personalize-runtime"
+			elif [ "${module}" = "polly" ] ; then
+				mybuildtargets+=";${module};text-to-speech"
+			elif [ "${module}" = "qldb" ] ; then
+				mybuildtargets+=";${module};qldb-session"
+			elif [ "${module}" = "rds" ] ; then
+				mybuildtargets+=";${module};pi;rds-data"
+			elif [ "${module}" = "resource-groups" ] ; then
+				mybuildtargets+=";${module};resourcegroupstaggingapi"
+			elif [ "${module}" = "route53" ] ; then
+				mybuildtargets+=";${module};route53domains;route53resolver"
+			elif [ "${module}" = "s3" ] ; then
+				mybuildtargets+=";${module};athena;awstransfer;glacier;s3-encryption;s3control;transfer"
+			elif [ "${module}" = "sagemaker" ] ; then
+				mybuildtargets+=";${module};sagemaker-a2i-runtime;sagemaker-edge"
+				mybuildtargets+=";sagemaker-featurestore-runtime;sagemaker-runtime"
+			elif [ "${module}" = "timestream" ] ; then
+				mybuildtargets+=";timestream-query;timestream-write"
+			elif [ "${module}" = "transcribe" ] ; then
+				mybuildtargets+=";${module};transcribestreaming"
+			elif [ "${module}" = "waf" ] ; then
+				mybuildtargets+=";${module};fms;network-firewall;waf-regional;wafv2"
+			else
+				mybuildtargets+=";${module}"
+			fi
+		fi
+	done
+
+	local mycmakeargs=(
+		-DAUTORUN_UNIT_TESTS=$(usex test)
+		-DBUILD_DEPS=NO
+		-DBUILD_ONLY="${mybuildtargets}"
+		-DBUILD_SHARED_LIBS=$(usex !static-libs)
+		-DCPP_STANDARD=17
+		-DENABLE_RTTI=$(usex rtti)
+		-DENABLE_TESTING=$(usex test)
+		-DENABLE_UNITY_BUILD=$(usex unity-build)
+		-DNO_ENCRYPTION=$(usex !ssl)
+		-DNO_HTTP_CLIENT=$(usex !http)
+	)
+	cmake_src_configure
+}

diff --git a/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.105-remove_Werror_from_FLAGS.patch b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.105-remove_Werror_from_FLAGS.patch
new file mode 100644
index 00000000000..8130066cc39
--- /dev/null
+++ b/dev-libs/aws-sdk-cpp/files/aws-sdk-cpp-1.8.105-remove_Werror_from_FLAGS.patch
@@ -0,0 +1,30 @@
+--- a/cmake/compiler_settings.cmake	2020-12-12 15:31:17.703362345 +0100
++++ b/cmake/compiler_settings.cmake	2020-12-12 15:31:53.641363625 +0100
+@@ -53,7 +53,7 @@
+ endmacro()
+ 
+ macro(set_gcc_warnings)
+-    list(APPEND AWS_COMPILER_WARNINGS "-Wall" "-Werror" "-pedantic" "-Wextra")
++    list(APPEND AWS_COMPILER_WARNINGS "-Wall" "-pedantic" "-Wextra")
+     if(COMPILER_CLANG)
+         if(PLATFORM_ANDROID)
+             # when using clang with libc and API lower than 21 we need to include Android support headers and ignore the gnu-include-next warning.
+--- a/cspell.json	2020-12-12 15:31:17.703362345 +0100
++++ b/cspell.json	2020-12-12 15:31:42.488363228 +0100
+@@ -13,7 +13,7 @@
+         // CMake
+         "cmake", "DCMAKE", "AUTORUN", "DEPS", "STREQUAL", "RPATH", "STREQUAL", "DTARGET", "TOOLCHAIN", "DANDROID", "DBUILD", "DGIT", "SYSROOT", "DSTATIC", "BINDIR", "LIBDIR", "INCLUDEDIR", "DHAS",
+         // Compiler and linker
+-        "Wpedantic", "Wextra", "Werror", "xldscope", "Wtype", "Wunused", "RTTI", "ffunction", "fdata", "fsanitize", "pathconf", "unistd", "umask",
++        "Wpedantic", "Wextra", "xldscope", "Wtype", "Wunused", "RTTI", "ffunction", "fdata", "fsanitize", "pathconf", "unistd", "umask",
+         // Android NDK
+         "JNIEXPORT", "jint", "JNICALL", "jobject", "jclass", "jmethod", "Ljava",
+         // XML parser
+--- a/CI/install-test/CMakeLists.txt	2020-12-12 15:31:17.704362345 +0100
++++ b/CI/install-test/CMakeLists.txt	2020-12-12 15:32:06.433364080 +0100
+@@ -4,4 +4,4 @@
+ find_package(AWSSDK REQUIRED COMPONENTS s3)
+ add_executable(${PROJECT_NAME} "main.cpp")
+ target_link_libraries(${PROJECT_NAME} ${AWSSDK_LINK_LIBRARIES})
+-target_compile_options(${PROJECT_NAME} PRIVATE "-Wall" "-Werror")
++target_compile_options(${PROJECT_NAME} PRIVATE "-Wall")

diff --git a/dev-libs/aws-sdk-cpp/metadata.xml b/dev-libs/aws-sdk-cpp/metadata.xml
index 632e0dfe194..1ddb8306031 100644
--- a/dev-libs/aws-sdk-cpp/metadata.xml
+++ b/dev-libs/aws-sdk-cpp/metadata.xml
@@ -45,8 +45,8 @@
 			SSO : AWS Single Sign-On (SSO) makes it easy to centrally manage access to multiple AWS
 				accounts and business applications and provide users with single sign-on access to all
 				their assigned accounts and applications from one place.
-			Also enables acm-pca, identity-management, identitystore, sso-oidc and sts (Security Token
-			Service).
+			Also enables acm-pca, identity-management, identitystore, sso-admin, sso-oidc and sts
+			(Security Token Service).
 		</flag>
 		<flag name="apigateway">
 			Create and deploy your own REST and WebSocket APIs at any scale.
@@ -143,10 +143,16 @@
 			The following modules besides monitoring are also enabled:
 			Application Insights: Monitor .NET and SQL Server applications.
 			App Mesh            : Monitor and control microservices running on AWS.
+			Audit Manager       : Helps to continuously audit your AWS usage to simplify how you manage
+				risk and compliance with regulations and industry standards.
 			CloudTrail          : Monitor AWS deployments in the cloud by getting a history of AWS API
 				calls, including API calls made via the AWS Management Console, the AWS SDKs, the
 				command line tools, and higher-level AWS services.
 			Compute Optimizer   : Recommends optimal AWS compute resources for your workloads.
+			Detective           : Analyze, investigate, and identify the root cause of security findings
+				or suspicious activities. 
+			DevOps Guru         : Generates operational insights using machine learning to help to improve
+				the performance of operational applications.
 			GuardDuty           : Continuous security monitoring service.
 			Health              : Provides personalized information about events that can affect the AWS
 				infrastructure, guides through scheduled changes, and accelerates the troubleshooting
@@ -194,6 +200,7 @@
 		</flag>
 		<flag name="ecr">
 			Amazon Elastic Container Registry (ECR) is a fully managed Docker container registry.
+			Also enables Amazon ECR Public.
 		</flag>
 		<flag name="ecs">
 			Amazon Elastic Container Service (ECS) is a highly scalable, fast, container management service.
@@ -201,6 +208,7 @@
 		<flag name="eks">
 			Amazon Elastic Kubernetes Service (EKS) is a managed service to run Kubernetes on AWS without
 			own Kubernetes clusters.
+			Also enables Amazon EMR on EKS.
 		</flag>
 		<flag name="elasticache">
 			Set up, manage, and scale distributed in-memory cache environments in the AWS Cloud
@@ -303,6 +311,10 @@
 		<flag name="lightsail">
 			The easiest way to get started with AWS for developers who just need virtual private servers
 		</flag>
+		<flag name="lookoutvision">
+			Amazon Lookout for Vision enables you to find visual defects in industrial products, accurately
+			and at scale. 
+		</flag>
 		<flag name="machinelearning">
 			The algorithms of Amazon Machine Learning create machine learning (ML) models by finding
 			patterns in existing data. The service uses these models to process new data and generate
@@ -327,7 +339,11 @@
 			Marketplace Metering Service   : A pricing and metering feature that AWS Marketplace sellers can
 				use to directly charge for their software along one of four dimensions: users, data,
 				bandwidth, or hosts.
-			Also enables marketplace-catalog and pricing.
+			Also enables marketplace-catalog, pricing and servicecatalog-appregistry.
+		</flag>
+		<flag name="mwaa">
+			Amazon Managed Workflows for Apache Airflow (Amazon MWAA) is a managed service for Apache
+			Airflow that makes it easy for you to build and manage your workflows in the cloud.
 		</flag>
 		<flag name="networkmanager">
 			Transit Gateway Network Manager (Network Manager) enables you to create a global network, in
@@ -347,16 +363,17 @@
 			bug report and it will most probably get one.
 			The modules are:
 			AWSMigrationHub, alexaforbusiness, appflow, braket, clouddirectory, comprehend,
-			comprehendmedical, connect, datapipeline, datasync, directconnect, discovery, dms, docdb, ds,
-			dynamodb, gamelift, glue, groundstation, importexport, kafka, lakeformation, migrationhub-
-			config, mq, mturk-requester, neptune, quicksight, redshift, robomaker, sdb, schemas, service-
-			quotas, servicecatalog, servicediscovery, signer, sms, snowball, ssm, states, storagegateway,
-			support and swf.
+			comprehendmedical, connect, connect-contact-lens, customer-profiles, datapipeline, databrew,
+			datasync, directconnect, discovery, dms, docdb, ds, dynamodb, gamelift, glue, groundstation,
+			healthlake, importexport, kafka, lakeformation, migrationhub-config, mq, mturk-requester,
+			neptune, quicksight, redshift, robomaker, sdb, schemas, service-quotas, servicecatalog,
+			servicediscovery, signer, sms, snowball, ssm, states, storagegateway, support and swf.
 		</flag>
 		<flag name="outposts">
 			AWS Outposts brings native AWS services, infrastructure, and operating models to virtually any
 			data center, co-location space, or on-premises facility. You can use the same services, tools,
 			and partner solutions to develop for the cloud and on premises.
+			Also enables s3outposts.
 		</flag>
 		<flag name="personalize">
 			Real-time personalization and recommendations, based on the same technology used at Amazon.com.
@@ -408,7 +425,8 @@
 			Fully managed machine learning service. With Amazon SageMaker, data scientists and developers
 			can quickly and easily build and train machine learning models, and then directly deploy them
 			into a production-ready hosted environment.
-			Also enables sagemaker-a2i-runtime and sagemaker-runtime.
+			Also enables sagemaker-a2i-runtime, sagemaker-edge, sagemaker-featurestore-runtime and
+			sagemaker-runtime.
 		</flag>
 		<flag name="secretsmanager">
 			Encrypt, store, and retrieve credentials for databases and other services.
@@ -431,6 +449,11 @@
 		<flag name="textract">
 			Amazon Textract to add document text detection and analysis to applications.
 		</flag>
+		<flag name="timestream">
+			Store and analyze sensor data for IoT applications, metrics for DevOps use cases, and telemetry
+			for application monitoring scenarios such as clickstream data analysis.
+			Note: The two modules enabled are timestream-query and timestream-write.
+		</flag>
 		<flag name="transcribe">
 			A transcription services for audio files. It uses advanced machine learning technologies to
 			recognize spoken words and transcribe them into text.
@@ -445,7 +468,7 @@
 			CloudFront distributions or an Application Load Balancer. Can also be used to block or allow
 			requests based on conditions such as the IP addresses that requests originate from or values in
 			the requests.
-			Also enables fms, waf-regional and wafv2
+			Also enables fms, network-firewall, waf-regional and wafv2
 		</flag>
 	</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2020-12-13 11:00 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-09-30  7:06 [gentoo-commits] repo/gentoo:master commit in: dev-libs/aws-sdk-cpp/, dev-libs/aws-sdk-cpp/files/ Joonas Niilola
  -- strict thread matches above, loose matches on Subject: below --
2020-12-13 11:00 Joonas Niilola
2020-09-15 11:49 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox